org.codehaus.plexus.component.factory

## Class AbstractComponentFactory

- java.lang.Object
- - org.codehaus.plexus.component.factory.AbstractComponentFactory

All Implemented Interfaces:
  ComponentFactory

Direct Known Subclasses:
  JavaComponentFactory

    public abstract class AbstractComponentFactory
    extends java.lang.Object
    implements ComponentFactory

Version:
  $Id: AbstractComponentFactory.java 8477 2009-10-16 22:00:16Z bentmann $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentFactory()`

### Method Summary

Methods
`java.lang.Object` `newInstance(ComponentDescriptor componentDescriptor, org.codehaus.plexus.classworlds.realm.ClassRealm classRealm, PlexusContainer container)`
`protected java.lang.Object` `newInstance(ComponentDescriptor componentDescriptor, org.codehaus.classworlds.ClassRealm classRealm, PlexusContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`getId`

### Constructor Detail

#### AbstractComponentFactory

    public AbstractComponentFactory()

### Method Detail

#### newInstance

    public java.lang.Object newInstance(ComponentDescriptor componentDescriptor,
                               org.codehaus.plexus.classworlds.realm.ClassRealm classRealm,
                               PlexusContainer container)
                                 throws ComponentInstantiationException

Specified by:
  `newInstance` in interface `ComponentFactory`
Throws:
  `ComponentInstantiationException`

#### newInstance

    protected java.lang.Object newInstance(ComponentDescriptor componentDescriptor,
                               org.codehaus.classworlds.ClassRealm classRealm,
                               PlexusContainer container)
                                    throws ComponentInstantiationException

Throws:
  `ComponentInstantiationException`